<?php

namespace Drupal\searchunifyd10\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Class SuHelpController.Defines controller for Searchunifyd10 search results.
 *
 * @category Drupal
 * @package Drupal\searchunifyd10\Controller
 *
 * @author searchunifyd10 <your.email@example.com>
 *
 * @license GPL-2.0-or-later <https://www.gnu.org/licenses/gpl-2.0.html>
 * @link http://graztti.com
 */
class SuHelpController extends ControllerBase {

  /**
   * Provides content for the SuHelpController.
   *
   * @return array
   *   An array containing theme information and module path.
   *
   * @throws \Drupal\Component\Plugin\Exception\InvalidPluginDefinitionException
   * @throws \Drupal\Component\Plugin\Exception\PluginNotFoundException
   */
  public function content() {
    global $base_url;
    $moduleHandler = \Drupal::service('extension.list.module');
    $modulePath = $base_url . '/' . $moduleHandler->getPath('searchunifyd10');
    return [
      '#theme' => 'helpcontent',
      '#mpath' => $modulePath,
    ];
  }

}
